'' 完毕：
Imports System.IO
Imports System.Drawing
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Text
Imports GrapeCity.Documents.Pdf.Security

'' 此示例展示了如何对 PDF 设置限制，
'' 例如限制打印或复制内容的能力
'' 从文档中。
'' 另请参阅 DocumentPermissions 示例，其中显示
'' 如何检查加载的 PDF 中的限制。
Public Class DocumentRestrictions
    Function CreatePDF(ByVal stream As Stream) As Integer
        '' 创建一个新的 PDF 文档：
        Dim doc = New GcPdfDocument()
        Util.AddNote("本文档有以下限制：" +
            "  ", doc.NewPage())

        '' 创建 Rev4 安全处理程序并指定一些限制：
        Dim ssh4 = New StandardSecurityHandlerRev4() With
        {
            .PrintingPermissions = PrintingPermissions.Disabled,
            .CopyContent = False,
            .EditingPermissions = EditingPermissions.Disabled
        }

        '' 将我们创建的处理程序分配给文档，以便在保存 PDF 时使用它：
        doc.Security.EncryptHandler = ssh4

        '' 完毕：
        doc.Save(stream)
        Return doc.Pages.Count
    End Function
End Class
